### Hierarchy

- OwnPropsOfMasterListItem
  - StatePropsOfMasterItem
    - ListWithDetailMasterItemProps

## Index

### Properties

- childLabel
- index
- path
- schema
- selected

### Methods

- handleSelect
- removeItem

## Properties

### childLabel

childLabel: string

- Defined in additional/MaterialListWithDetailRenderer.tsx:171

### index

index: number

Inherited from OwnPropsOfMasterListItem.index

- Defined in additional/MaterialListWithDetailRenderer.tsx:163

### path

path: string

Inherited from OwnPropsOfMasterListItem.path

- Defined in additional/MaterialListWithDetailRenderer.tsx:165

### schema

schema: JsonSchema

Inherited from OwnPropsOfMasterListItem.schema

- Defined in additional/MaterialListWithDetailRenderer.tsx:166

### selected

selected: boolean

Inherited from OwnPropsOfMasterListItem.selected

- Defined in additional/MaterialListWithDetailRenderer.tsx:164

## Methods

### handleSelect

- handleSelect(index: number): function

- Inherited from OwnPropsOfMasterListItem.handleSelect

  - Defined in additional/MaterialListWithDetailRenderer.tsx:167

  #### Parameters

  - ##### index: number

  #### Returns function

  - - (): void

    - #### Returns void

### removeItem

- removeItem(path: string, value: number): function

- Inherited from OwnPropsOfMasterListItem.removeItem

  - Defined in additional/MaterialListWithDetailRenderer.tsx:168

  #### Parameters

  - ##### path: string

  - ##### value: number

  #### Returns function

  - - (): void

    - #### Returns void

Generated using TypeDoc